Activator (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.osgi.logservice.impl
Class Activator

    java.lang.Object
      org.slf4j.osgi.logservice.impl.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends Object
implements org.osgi.framework.BundleActivator

`Activator` implements a simple bundle that registers a `LogServiceFactory` for the creation of `LogService` implementations.

Author:
  John Conlon, Matt Bishop

Constructor Summary
`Activator()`

Method Summary
`void` | `start(org.osgi.framework.BundleContext bundleContext)` Implements `BundleActivator.start()` to register a LogServiceFactory.
`void` | `stop(org.osgi.framework.BundleContext bundleContext)` Implements `BundleActivator.stop()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws Exception

  Implements `BundleActivator.start()` to register a LogServiceFactory.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Parameters:
    `bundleContext` - the framework context for the bundle
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws Exception

  Implements `BundleActivator.stop()`.

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Parameters:
    `bundleContext` - the framework context for the bundle
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.